
variables:
  MYSQL_HOST: localhost__bokeh_mariadb_10.3
  MYSQL_DATABASE: "bokeh_build_${CI_BUILD_REF}"
  MYSQL_ROOT_PASSWORD: root
  BOKEH_HTML_VALIDATOR_URL: "http://sthysel__nuhtml:8888"

test:php74_bokeh:
  image: registry.afi-sa.net/afi/bokeh-docker/bokeh_php74_with_chrome:stable
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_bokeh.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - 74_bokeh


test:php74_other:
  image: registry.afi-sa.net/afi/bokeh-docker/bokeh_php74_with_chrome:stable
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_other_74.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - 74_other


test:php74_scenario:
  image: registry.afi-sa.net/afi/bokeh-docker/bokeh_php74_with_chrome:stable
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_scenario.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - 74_scenario
    

test:php81_bokeh:
  image: registry.afi-sa.net/afi/bokeh-docker/bokeh_php81:stable
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_bokeh.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - 81_bokeh


test:php81_other:
  image: registry.afi-sa.net/afi/bokeh-docker/bokeh_php81:stable
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_other.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - 81_other


test:php81_scenario:
  image: registry.afi-sa.net/afi/bokeh-docker/bokeh_php81:stable
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_scenario.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - 81_scenario
